summaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorDavid Reiss <dreiss@apache.org>2007-12-28 18:25:33 +0000
committerDavid Reiss <dreiss@apache.org>2007-12-28 18:25:33 +0000
commit832b262acab7656ce5d5541f010c29f060580693 (patch)
tree8fecf364acbfb94a60a1bcf929f8f891e5130510 /bootstrap.sh
parent65704511459cdfc0f3e7d70b5008ea4e18a6f538 (diff)
downloadthrift-832b262acab7656ce5d5541f010c29f060580693.tar.gz
Thrift: Revamp build to use a single configure.ac.
Summary: Ben Maurer suggested that it would make sense for Thrift to build as a single project, with one configure.ac and multiple Makefile.am. He was also kind enough to do the heavy lifting, and this commit is the application of his patch (with minor modifications). The most significant visible change from this diff is that in order to buidl one of the thrift sub-projects (i.e.: the compiler, the C++ library, or the Python library) you must run bootstrap.sh and configure in the Thrift root, then make in the specific project. Users who want to build and install the Python library but can't run configure because they don't have Boost can simply run setup.py directly. Reviewed By: mcslee Test Plan: Built Thrift from scratch. Revert Plan: ok git-svn-id: https://svn.apache.org/repos/asf/incubator/thrift/trunk@665409 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh26
1 files changed, 17 insertions, 9 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index c73e709da..0a548eaa2 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -1,20 +1,28 @@
#!/bin/sh
-subdirs="compiler/cpp lib/cpp lib/py if"
+subdirs=" if"
./cleanup.sh
-aclocal
-touch NEWS README AUTHORS ChangeLog
-autoconf
-automake -ac
+autoscan || exit 1
+autoheader || exit 1
+aclocal -I ./aclocal || exit 1
+
+if libtoolize --version 1 >/dev/null 2>/dev/null; then
+ libtoolize --automake || exit 1
+elif glibtoolize --version 1 >/dev/null 2>/dev/null; then
+ glibtoolize --automake || exit 1
+fi
+
+autoconf || exit 1
+automake -ac --add-missing --foreign || exit 1
for subdir in ${subdirs}; do
if [ -x "${subdir}/bootstrap.sh" ]; then
- cwd="`pwd`"
- cd "${subdir}"
- ./bootstrap.sh
- cd "${cwd}"
+ cwd="`pwd`"
+ cd "${subdir}"
+ ./bootstrap.sh
+ cd "${cwd}"
fi
done